CREATE TABLE CUSTOMER
(
  CUSTOMER_ID    VARCHAR2(20) NOT NULL PRIMARY KEY,
  CUSTOMER_NAME  VARCHAR2(256)  ,
  ACTIVE_FLAG VARCHAR2(1)  NOT NULL,
  CREATE_TIMESTAMP timestamp(6) default systimestamp not null,
  UPDATE_TIMESTAMP timestamp(6) default systimestamp not null
);

CREATE TABLE CLAIMS
(
  CLAIM_ID    VARCHAR2(20) NOT NULL PRIMARY KEY,
  CLAIM_NUMBER  VARCHAR2(64)  NOT NULL,
  CLAIMED_AMOUNT NUMBER(10,2) NULL,
  SANCTION_AMOUNT NUMBER(10,2) NULL,
  STATUS_FLAG VARCHAR2(1)  NOT NULL,
  CUSTOMER_ID VARCHAR2(20)  NOT NULL,
  CREATE_TIMESTAMP timestamp(6) default systimestamp not null,
  UPDATE_TIMESTAMP timestamp(6) default systimestamp not null,
  CONSTRAINT XFK_CLAIMS_X_CUSTOMER FOREIGN KEY (CUSTOMER_ID) REFERENCES  CUSTOMER (CUSTOMER_ID)
);


CREATE TABLE CLAIM_DETAILS
(
  CLAIM_DETAILS_ID    VARCHAR2(20) NOT NULL PRIMARY KEY,
  CLAIM_ID  VARCHAR2(20)  NOT NULL,
  KEY_TYPE VARCHAR2(64)  NOT NULL,
  KEY_PATH VARCHAR2(512)  NOT NULL,
  STATUS_FLAG VARCHAR2(1)  NOT NULL,
  CREATE_TIMESTAMP timestamp(6) default systimestamp not null,
  UPDATE_TIMESTAMP timestamp(6) default systimestamp not null,
  CONSTRAINT XFK_CLAIM_DETAILS_X_CLAIM FOREIGN KEY (CLAIM_ID) REFERENCES  CLAIMS (CLAIM_ID)
);




INSERT INTO customer (customer_id, customer_name, active_flag)
VALUES ('1', 'Mohammed Akhil', '1');